create database db_empresa_mm;

use db_empresa_mm;

create table tb_departamento (
cd_departamento int primary key auto_increment,
nm_departamento varchar(60) not null unique
);

create table tb_funcionario (
cd_funcionario int primary key auto_increment,
nm_funcionario varchar(60) not null,
nm_email varchar(60) not null unique,
dt_nascimento date not null,
dt_registro_funcionario datetime not null default current_timestamp,
id_departamento int not null,
foreign key (id_departamento) references tb_departamento (cd_departamento)
);

select * from tb_departamento;